<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Plugin administration pages are defined here.
 *
 * @package     block_minhabiblioteca
 * @category    admin
 * @copyright   2022 Thiago Livramento <thiago@adapta.online>
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

if ($hassiteconfig) {
    $settings = new admin_settingpage('block_minhabiblioteca_settings', new lang_string('pluginname', 'block_minhabiblioteca'));

    if ($ADMIN->fulltree) {
            $settings->add (new admin_setting_configtext('block_minhabiblioteca/token',
                    get_string('token', 'block_minhabiblioteca'),
                    get_string('tokendescription', 'block_minhabiblioteca'), ''));
    }
}
